Upstream information

CVE-2023-3603 at MITRE

Description

A missing allocation check in sftp server processing read requests may cause a NULL dereference on low-memory conditions. The malicious client can request up to 4GB SFTP reads, causing allocation of up to 4GB buffers, which was not being checked for failure. This will likely crash the authenticated user's sftp server connection (if implemented as forking as recommended). For thread-based servers, this might also cause DoS for legitimate users. Given this code is not in any released versions, no security releases have been issued.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 3.1 3.1
Vector CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:L CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:L
Attack Vector Network Network
Attack Complexity High High
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Low Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1213198 [RESOLVED / UPSTREAM]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 libssh Not affected
SUSE Linux Enterprise Desktop 15 SP5 libssh Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 libssh Not affected
SUSE Linux Enterprise Micro 5.1 libssh Not affected
SUSE Linux Enterprise Micro 5.2 libssh Not affected
SUSE Linux Enterprise Micro 5.3 libssh Not affected
SUSE Linux Enterprise Micro 5.4 libssh Not affected
SUSE Linux Enterprise Micro 5.5 libssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 libssh Not affected
SUSE Linux Enterprise Real Time 15 SP3 libssh Not affected
SUSE Linux Enterprise Server 12 SP5 libssh Not affected
SUSE Linux Enterprise Server 15 SP5 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 libssh Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 libssh Not affected
SUSE Manager Proxy 4.3 libssh Not affected
SUSE Manager Retail Branch Server 4.3 libssh Not affected
SUSE Manager Server 4.3 libssh Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS libssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 libssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 libssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 libssh Not affected
SUSE Linux Enterprise Server 15 SP2 libssh Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS libssh Not affected
SUSE Linux Enterprise Server 15 SP3 libssh Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS libssh Not affected
SUSE Linux Enterprise Server 15 SP4 libssh Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libssh Not affected
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 libssh Not affected
SUSE Enterprise Storage 6 libssh Not affected
SUSE Enterprise Storage 7 libssh Not affected
SUSE Linux Enterprise Desktop 12 libssh Not affected
SUSE Linux Enterprise Desktop 12 SP1 libssh Not affected
SUSE Linux Enterprise Desktop 12 SP2 libssh Not affected
SUSE Linux Enterprise Desktop 12 SP3 libssh Not affected
SUSE Linux Enterprise Desktop 12 SP4 libssh Not affected
SUSE Linux Enterprise Desktop 15 libssh Not affected
SUSE Linux Enterprise Desktop 15 SP1 libssh Not affected
SUSE Linux Enterprise Desktop 15 SP2 libssh Not affected
SUSE Linux Enterprise Desktop 15 SP3 libssh Not affected
SUSE Linux Enterprise Micro 5.0 libssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 libssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 libssh Not affected
SUSE Linux Enterprise Real Time 15 SP2 libssh Not affected
SUSE Linux Enterprise Real Time 15 SP4 libssh Not affected
SUSE Linux Enterprise Server 12 libssh Not affected
SUSE Linux Enterprise Server 12 SP1 libssh Not affected
SUSE Linux Enterprise Server 12 SP2 libssh Not affected
SUSE Linux Enterprise Server 12 SP3 libssh Not affected
SUSE Linux Enterprise Server 12 SP4 libssh Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS libssh Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS libssh Not affected
SUSE Linux Enterprise Server 15 libssh Not affected
SUSE Linux Enterprise Server 15 SP1 libssh Not affected
SUSE Linux Enterprise Server 15 SP1-BCL libssh Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS libssh Not affected
SUSE Linux Enterprise Server 15 SP2-BCL libssh Not affected
SUSE Linux Enterprise Server 15 SP3-BCL libssh Not affected
SUSE Linux Enterprise Server 15-LTSS libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libssh Not affected
SUSE Linux Enterprise Software Development Kit 12 libssh Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 libssh Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libssh Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libssh Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libssh Not affected
SUSE Linux Enterprise Workstation Extension 12 libssh Not affected
SUSE Linux Enterprise Workstation Extension 12 SP1 libssh Not affected
SUSE Linux Enterprise Workstation Extension 12 SP2 libssh Not affected
SUSE Linux Enterprise Workstation Extension 12 SP3 libssh Not affected
SUSE Manager Proxy 4.0 libssh Not affected
SUSE Manager Proxy 4.1 libssh Not affected
SUSE Manager Proxy 4.2 libssh Not affected
SUSE Manager Retail Branch Server 4.0 libssh Not affected
SUSE Manager Retail Branch Server 4.1 libssh Not affected
SUSE Manager Retail Branch Server 4.2 libssh Not affected
SUSE Manager Server 4.0 libssh Not affected
SUSE Manager Server 4.1 libssh Not affected
SUSE Manager Server 4.2 libssh Not affected
SUSE OpenStack Cloud 9 libssh Not affected
SUSE OpenStack Cloud Crowbar 9 libssh Not affected


SUSE Timeline for this CVE

CVE page created: Mon Jul 10 20:48:17 2023
CVE page last modified: Thu Feb 22 17:22:40 2024